Subject: Re: [RFC PATCH 00/18] netfilter: IPv6 NAT

From: Krzysztof Olędzki <[email-masked]>
Date: Wed, 30 Nov 2011 00:59:34 +0100

On 2011-11-29 23:15, Eric Dumazet wrote:
> Le mardi 29 novembre 2011 à 22:38 +0100, Krzysztof Olędzki a écrit :
>
>> But without NAT you have pretty big chance to have the same IPv6
>> *suffix* everywhere, based on you MAC address. In your Home, your Work,
>> in a Cafe or in a hotel during your vacations in Portugal. So yes, NAT
>> is not a perfect solution but it really helps you privacy.
>>
>
> Good point, but we can change MAC address (use a random one) on most
> NIC, cant we ?

Sure, but the problem is that you first need to know that you should do 
it and you need to be able to do it - think of cell phones, tablets, etc.

Best regards,

				Krzysztof Oledzki

--
To unsubscribe from this list: send the line "unsubscribe netfilter-devel" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html